package com.bocloud.cmp.model.h3c;

import java.util.List;

public class HostPoolModel {
    /**
     * 主机池id
     */
    private Long id;
    /**
     * 名称
     */
    private String name;
    /**
     * 操作员分组ID。
     */
    private Long operatorGroupId;
    /**
     * 操作员分组编号。
     */
    private String operatorGroupCode;
    /**
     * 直接子节点数量。主机池下的一级主机和集群数量。
     */
    private Long childNum;
    private List<H3cClusterModel> clusters;
    private List<H3cHostModel> hosts;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Long getOperatorGroupId() {
        return operatorGroupId;
    }

    public void setOperatorGroupId(Long operatorGroupId) {
        this.operatorGroupId = operatorGroupId;
    }

    public String getOperatorGroupCode() {
        return operatorGroupCode;
    }

    public void setOperatorGroupCode(String operatorGroupCode) {
        this.operatorGroupCode = operatorGroupCode;
    }

    public Long getChildNum() {
        return childNum;
    }

    public void setChildNum(Long childNum) {
        this.childNum = childNum;
    }

    public void setClusters(List<H3cClusterModel> clusters) {
        this.clusters = clusters;
    }

    public void setHosts(List<H3cHostModel> hosts) {
        this.hosts = hosts;
    }

    public List<H3cClusterModel> getClusters() {
        return clusters;
    }

    public List<H3cHostModel> getHosts() {
        return hosts;
    }
}
